# mjlib/skype

#### Table of Contents

1. [Overview](#overview)
2. [Module Description](#module-description)
3. [Setup](#setup)
    * [Setup requirements](#setup-requirements)
    * [Beginning with skype](#beginning-with-skype)
4. [Usage](#usage)
5. [Limitations](#limitations)
6. [Development](#development)

## Overview

Puppet module to install Skype on Fedora.
Based on the instructions of [Install Skype 4.3 on Fedora 20/19, CentOS/RHEL/SL 7/6.5](http://www.if-not-true-then-false.com/2012/install-skype-on-fedora-centos-red-hat-rhel-scientific-linux-sl/).

## Module Description

The module installs Skype to /opt/skype on Fedora, sets the symlink of icons
and the dot desktop file in the appropriate system directories and installs all required dependencies.

You can also use the module to update Skype.

## Setup

### What mjlib/skype affects

* Note the module may delete all files under /opt/skype.
* The following dependencies are installed if not allready defined: curl, alsa-lib.i686, fontconfig.i686, freetype.i686, glib2.i686, libSM.i686, libXScrnSaver.i686, libXi.i686, libXrandr.i686, libXrender.i686, libXv.i686, libstdc++.i686, pulseaudio-libs.i686, qt.i686, qt-x11.i686, zlib.i686, qtwebkit.i686

### Beginning with mjlib/skype

To use the module you can simply include the class:

	include skype

## Usage

Class declaration with version number:

	class { 'skype':
	  version => '4.3.0.37'
	}

## Limitations

This module has only been tested on Fedora 20 x86_64.

## Development

If you find a bug or missing a feature please send me a patch.
