# == Class: skype::deps
#
# The class will install all dependencies.
#
# === Authors
#
# Marius Preyers
#
class skype::deps {
  if ($operatingsystem == 'Fedora') and ($operatingsystemmajrelease == '20') {
    if ! defined( Package['curl'] ) {
        package { 'curl': ensure => present }
    }
    if ! defined( Package['alsa-lib.i686'] ) {
        package { 'alsa-lib.i686': ensure => present }
    }
    if ! defined( Package['fontconfig.i686'] ) {
        package { 'fontconfig.i686': ensure => present }
    }
    if ! defined( Package['freetype.i686'] ) {
        package { 'freetype.i686': ensure => present }
    }
    if ! defined( Package['glib2.i686'] ) {
        package { 'glib2.i686': ensure => present }
    }
    if ! defined( Package['libSM.i686'] ) {
        package { 'libSM.i686': ensure => present }
    }
    if ! defined( Package['libXScrnSaver.i686'] ) {
        package { 'libXScrnSaver.i686': ensure => present }
    }
    if ! defined( Package['libXi.i686'] ) {
        package { 'libXi.i686': ensure => present }
    }
    if ! defined( Package['libXrandr.i686'] ) {
        package { 'libXrandr.i686': ensure => present }
    }
    if ! defined( Package['libXrender.i686'] ) {
        package { 'libXrender.i686': ensure => present }
    }
    if ! defined( Package['libXv.i686'] ) {
        package { 'libXv.i686': ensure => present }
    }
    if ! defined( Package['libstdc++.i686'] ) {
        package { 'libstdc++.i686': ensure => present }
    }
    if ! defined( Package['pulseaudio-libs.i686'] ) {
        package { 'pulseaudio-libs.i686': ensure => present }
    }
    if ! defined( Package['qt.i686'] ) {
        package { 'qt.i686': ensure => present }
    }
    if ! defined( Package['qt-x11.i686'] ) {
        package { 'qt-x11.i686': ensure => present }
    }
    if ! defined( Package['zlib.i686'] ) {
        package { 'zlib.i686': ensure => present }
    }
    if ! defined( Package['qtwebkit.i686'] ) {
        package { 'qtwebkit.i686': ensure => present }
    }
  } else {
    notify { "The Skype modules was not tested on $operatingsystem $operatingsystemmajrelease.
Please install the required dependencies from Skype itself or adjust the modules accordingly.": }
  }
}
